/*Author: Carolin Schulz*/
/*Student ID: 22178163*/


/*****************************************************************/

@media (min-width: 1200px) { /*screen size > 1200px*/
    .centered {
      font-size: 48px;
    }
    .newsletter_grid {
        height: 160px;
        padding-top: 30px;
        padding-bottom: 30px;
    }
    .news {
        margin-top: 25px;
    }

    .news, .ad {
        font-size: 27px;
    }
    .news_button {
        padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 60px;
        padding-right: 60px;
        font-size: 22px;
        margin-left: 40px;
    }

}


/*****************************************************************/

@media (max-width: 1669px) { /*screen size < 1550px*/
    .centered {
        font-size: 43px;
      }
      .news, .ad {
        font-size: 24px;
    }
    .newsletter_grid {
        height: 160px;
    }
    .news {
        margin-top: 33px;
    }

    .price_elem, 
    .price_spectrum
    .price,
    .motor,
    .gearbox,
    .make,
    .model,
    .previous_owner,
    .color {
        font-size: 18px;
    }


    .filter_flex {
        width: 350px;
        height: 450px;
        flex-direction: column;
    }

    .motor {
        border: none;
    }

    .motor,
    .gearbox,
    .make,
    .model,
    .previous_owner,
    .color {
        border-bottom: black 1px solid;
    }

    .price {
        text-align: center;
        margin-bottom: 10px;
        row-gap: 10px;
        font-size: 18px;
    }

    .motor {
        padding: 0;
    }

    .price_elem {
        white-space: nowrap;
        font-size: 18px;
    }

    .stock-grid {
        grid-template-columns: 400px 400px;
    }


}

/*****************************************************************/

@media (max-width: 1440px) { /*screen size < 1400px*/
    .news, .ad {
        font-size: 23px;
    }
    .ad {
        max-width: 200px;
    }
    .newsletter_grid {
        height: 30vh;
        padding-top: 30px;
        padding-bottom: 30px;
    }
    .news_button {
        padding-top: 20px;
        padding-bottom: 20px;
        padding-left: 50px;
        padding-right: 50px;
        font-size: 23px;
        margin-top: 80px;
        margin-right: 50px;
    }

    .news {
        margin-top: 80px;
    }

}

/*****************************************************************/


@media (max-width: 800px) { /*screen size < 800px*/
    .centered {
        font-size: 32px;
      }
  
      .newsletter_grid {
          height: 37vh;
          padding-top: 30px;
          padding-bottom: 30px;
      }
  
      .news {
          margin-top: 100px;
          margin-left: 30px;
          margin-right: 30px;
  
      }
      .news, .ad {
          font-size: 23px;
          max-width: 120px;
          min-width: 110px;
      }

      .ad {
        font-size: 20px;
      }
      .news_button {
          margin-top: 105px;
          margin-right: 40px;
          padding-top: 20px;
          padding-bottom: 20px;
          padding-left: 40px;
          padding-right: 40px;
          font-size: 20px;
          text-align: center;
          margin-left: 20px;
      }

      .match_flex {
        margin-bottom: 0;
        flex-direction: column;
      }

      .match_order_content {
        padding-bottom: 10px;
        padding-top: 10px;
      }

      #sort{
        font-size: 15px;
      }

      .stock-grid {
        grid-template-columns: 400px;
    }
    }
